API referenceComputeSSH keys
Generate an SSH key pair
Requires the ssh_keys:generate permission.
AuthorizationBearer <token>
An access token from this zone's POST /oauth/token, or a session token from POST /api/v1/auth/login. Send it as Authorization: Bearer <token>.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/ssh-keys/generate" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "created_at": "2019-08-24T14:15:22Z", "fingerprint": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "key_type": "string", "name": "string", "private_key": "string", "public_key": "string", "tags": { "property1": "string", "property2": "string" }, "tenant_id": "34f5c98e-f430-457b-a812-92637d0c6fd0"}